### Constructor

# JavaScriptCore Context new

#### Declaration [src]

    JSCContext*
    jsc_context_new (
      void
    )

#### Description [src]

Create a new `JSCContext`. The context is created in a new `JSCVirtualMachine`. Use `jsc_context_new_with_virtual_machine()` to create a new `JSCContext` in an existing `JSCVirtualMachine`.

#### Return value

Type: `JSCContext`

The newly created `JSCContext`.

The caller of the function takes ownership of the data, and is responsible for freeing it.